Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XmlDocument Class Reference

`#include <coherence/run/xml/XmlDocument.hpp>`

Inherits XmlElement.

List of all members.

## Detailed Description

An interface for XML document access.

The XmlDocumnet interface represents the document as both the root element (through the underlying XmlElement interface) and the properties specific to a document, such as DOCTYPE.

Author:
  js 2007.12.13

## Public Types
typedef spec::Handle | Handle
| XmlDocument Handle definition.
typedef spec::View | View
| XmlDocument View definition.
typedef spec::Holder | Holder
| XmlDocument Holder definition.
## Public Member Functions
virtual String::View | getDtdUri () const =0
| Get the URI of the DTD (DOCTYPE) for the document.
virtual void | setDtdUri (String::View vsUri)=0
| Set the URI of the DTD (DOCTYPE) for the document.
virtual String::View | getDtdName () const =0
| Get the public identifier of the DTD (DOCTYPE) for the document.
virtual void | setDtdName (String::View vsName)=0
| Set the public identifier of the DTD (DOCTYPE) for the document.
virtual String::View | getEncoding () const =0
| Get the encoding string for the XML document.
virtual void | setEncoding (String::View vsEncoding)=0
| Set the encoding string for the XML document.
virtual String::View | getDocumentComment () const =0
| Get the XML comment that appears outside of the root element.
virtual void | setDocumentComment (String::View vsComment)=0
| Set the XML comment that appears outside of the root element.
virtual String::View | getXml () const =0
| Returns: the document as a string

## Member Function Documentation

virtual String::View getDtdUri | ( |  | ) | const`[pure virtual]`

Get the URI of the DTD (DOCTYPE) for the document.

This is referred to as the System Identifier by the XML specification.

For example: http://java.sun.com/j2ee/dtds/web-app_2_2.dtd

Returns:
  the document type URI

virtual void setDtdUri | ( | String::View | vsUri | ) | `[pure virtual]`

Set the URI of the DTD (DOCTYPE) for the document.

This is referred to as the System Identifier by the XML specification.

Parameters:

  | vsUri | the document type URI

virtual String::View getDtdName | ( |  | ) | const`[pure virtual]`

Get the public identifier of the DTD (DOCTYPE) for the document.

For example: -//Sun Microsystems, Inc.//DTD Web Application 1.2//EN

Returns:
  the DTD public identifier

virtual void setDtdName | ( | String::View | vsName | ) | `[pure virtual]`

Set the public identifier of the DTD (DOCTYPE) for the document.

Parameters:

  | vsName | the DTD public identifier

virtual String::View getEncoding | ( |  | ) | const`[pure virtual]`

Get the encoding string for the XML document.

Documents that are parsed may or may not have the encoding string from the persistent form of the document.

Returns:
  the encoding set for the document

virtual void setEncoding | ( | String::View | vsEncoding | ) | `[pure virtual]`

Set the encoding string for the XML document.

Parameters:

  | vsEncoding | the encoding that the document will use

virtual String::View getDocumentComment | ( |  | ) | const`[pure virtual]`

Get the XML comment that appears outside of the root element.

This differs from the comment property of this object, which refers to the comment within the root element.

Returns:
  the document comment

virtual void setDocumentComment | ( | String::View | vsComment | ) | `[pure virtual]`

Set the XML comment that appears outside of the root element.

This differs from the Comment property of this object, which refers to the comment within the root element.

Parameters:

  | vsComment | the document comment

The documentation for this class was generated from the following file:

- coherence/run/xml/XmlDocument.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.